#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package}.impl;



import org.coos.messaging.util.Log;
import org.coos.messaging.util.LogFactory;

import org.coos.actorframe.ActorCS;
import org.coos.javaframe.ActorAddress;
import org.coos.javaframe.State;
import org.coos.javaframe.StateMachine;
import org.coos.javaframe.messages.AFPropertyMsg;
import org.coos.javaframe.messages.ActorMsg;
import ${package}.api.*;

public class ${parentArtifactId}CS extends ActorCS {

    private static final Log logger = LogFactory.getLog(${parentArtifactId}CS.class);
    private ActorAddress ac;

    public ${parentArtifactId}CS(String s) {
        super(s);
    }

    public void execTrans(ActorMsg sig, State st, StateMachine curfsm) {

        super.execTrans(sig, st, curfsm);
        ${parentArtifactId}SM sm = (${parentArtifactId}SM) curfsm;

        if (st == idle) {
            if (sig.equals(${parentArtifactId}MessageFactory.EXAMPLE_METHOD)) {
                logger.info("${parentArtifactId}SM: received message");
                sameState();
                return;
            }
        } 
    }
}

